# class Psych::Visitors::Visitor

### Constants

DISPATCH

### Public Instance Methods

accept(target) click to toggle source

    # File lib/psych/visitors/visitor.rb, line 5
    def accept target
      visit target
    end

### Private Instance Methods

visit(target) click to toggle source

    # File lib/psych/visitors/visitor.rb, line 15
    def visit target
      send DISPATCH[target.class], target
    end